## mediawiki 1.19.2

=== debian/changelog ===
mediawiki (1:1.19.2-2) unstable; urgency=low

  * debian/watch: mangle the epoch away so DDPO is green again
  * Break mw-ext-fckeditor, it doesn’t work with 1.19 (Closes: #689375)

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 02 Oct 2012 14:09:42 +0200

mediawiki (1:1.19.2-1) unstable; urgency=low

  [ Thorsten Glaser ]
  * New upstream: security fixes for CVE-2012-4377, CVE-2012-4378,
    CVE-2012-4379, CVE-2012-4380, CVE-2012-4381, CVE-2012-4382
    (Closes: #686330)
  * Prevent <table></table> without any <tr /> inside, globally
  * Fix more cases of not checking $wgHtml5
  * MW’s ID (XML) sanitiser is there for a reason, use it!
  * Prevent <ul></ul> without any <li /> inside in MonoBook
  * Fix invalid XHTML caused by code not honouring $wgHtml5
  * Quell some PHP warnings from sloppy code
  * Do the wfSuppressWarnings patch used with FusionForge right
  * Add myself to Uploaders and quieten lintian a bit
  * Do not replace patched jquery-tablesorter with unpatched one;
    unbreaks sortable tables (Closes: #687519)
  * Update versioned Breaks against fusionforge and mw-extensions

  [ Jonathan Wiltshire ]
  * Add Recommends on mediawiki-extensions-base and php-wikidiff2

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 20 Sep 2012 13:40:12 +0200
