=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

opts="dversionmangle=s/^[0-9]+://" \
http://www.mediawiki.org/wiki/Download http://download.wikimedia.org/mediawiki/.*/mediawiki-(.*).tar.gz
