## mediawiki 1.19.3

=== debian/changelog ===
mediawiki (1:1.19.3-2) unstable; urgency=low

  * Add missing changelog entries to 1:1.19.3-1 upload (oops…)
  * Upstream patch to fix XHTML issue in Special:Upload (BZ#40889)
  * Upstream patch to fix another MySQLism (BZ#39635) (Closes: #700595)
  * Update lintian overrides

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 18 Feb 2013 10:24:08 +0100

mediawiki (1:1.19.3-1) unstable; urgency=high

  [ Thorsten Glaser ]
  * Note: these changes were part of this upload, even though
    they were not detailed in this changelog entry when uploading:
  * <img> tags must always have an alt attribute
  * fix DB upgrade FUBAR issue for PostgreSQL (BZ#29635)
  * allow MySQL users to choose either PHP5 client library (Closes: #689758)

  [ Dominik George ]
  * Team upload
  * New upstream version fixes security issues (Closes: #694998)
    + Prevent session fixation in Special:UserLogin (CVE-2012-5391)
      https://bugzilla.wikimedia.org/show_bug.cgi?id=40995
    + Prevent linker regex from exceeding PCRE backtrack limit
      https://bugzilla.wikimedia.org/show_bug.cgi?id=41400

  [ Thorsten Glaser ]
  * Fix spelling error in README.Debian (thanks lintian!)

 -- Dominik George <nik@naturalnet.de>  Wed, 12 Dec 2012 09:44:08 +0100
