## mediawiki 1.19.4

=== debian/changelog ===
mediawiki (1:1.19.4-1) unstable; urgency=high

  * Urgency high for security fix
  * New upstream release:
    - New preference type - 'api'. Preferences of this type are not shown
      on Special:Preferences, but are still available via the
      action=options API.
    - (bug 44010) Context is passed to UserGetLanguageObject.
    - The recursion guard on RequestContext::getLanguage() was weakened.
    - (bug 44135/bug 42441) Pass '2' instead of 'true' to CURLOPT_SSL_VERIFYHOST
    - (bug 43518) API action=unblock should return the user name, not the
      full user object (Closes: #702305)
    - Increase timeout values for some tests

 -- Jonathan Wiltshire <jmw@debian.org>  Mon, 04 Mar 2013 23:06:30 +0000
