## mediawiki 1.19.6

=== debian/changelog ===
mediawiki (1:1.19.6-1) unstable; urgency=low

  * New upstream security release (Closes: #706601):
    - SVG script filtering could be bypassed for Chrome and Firefox
      clients by using an encoding that MediaWiki understood, but these
      browsers interpreted as UTF-8. (CVE-2013-2031)
    - Internal review discovered that extensions were not given the
      opportunity to disable a password reset, which could lead to
      circumvention of two-factor authentication (CVE-2013-2032)

 -- Jonathan Wiltshire <jmw@debian.org>  Sat, 11 May 2013 16:07:43 +0100
