## mediawiki 1.19.7+dfsg

=== debian/changelog ===
mediawiki (1:1.19.7+dfsg-1) unstable; urgency=low

  * New low-impact upstream security release
  * Refresh patches
  * Change watch file to track upstream LTS version
  * Replace trademarked image files by self-drawn Free ones
  * Fix VCS-* URLs – prodded by lintian from experimental
  * Policy 3.9.4 with no further changes needed

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 23 May 2013 11:03:39 +0000
