=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
  dh-buildinfo,
  ocaml-nox | ocaml, xsltproc, docbook-xml, docbook-xsl, po-debconf
 Homepage: http://www.mediawiki.org/
-Standards-Version: 3.9.3
-Vcs-SVN: svn://svn.debian.org/svn/pkg-mediawiki/mediawiki/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-mediawiki/mediawiki/trunk/
+Standards-Version: 3.9.4
+Vcs-SVN: svn://anonscm.debian.org/pkg-mediawiki/mediawiki/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-mediawiki/mediawiki/trunk/
 
 Package: mediawiki
 Architecture: all
