## mediawiki 1.19.8+dfsg

=== debian/changelog ===
mediawiki (1:1.19.8+dfsg-1) unstable; urgency=low

  * mediawiki-math is now called mediawiki-extensions-math
    ⇒ update the package relationship fields
  * Make my self-drawn CC images nicer and more consistent
  * New upstream security release
  * Secure the default images directory (Closes: #716884)
  * Allow PDF upload (Closes: #716957)
  * Nuke ref to ENOENT dir (Closes: #705107)
  * Update debian/copyright information
  * Pull upstream patch to fix variables (Closes: #709943)
  * Sort patches ASCIIbetically; refresh them against new version
  * For Apache 2.4, move configuration file (Closes: #669832)

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 05 Sep 2013 17:07:53 +0200
