=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #!/usr/bin/make -f
 
-DEB_VERSION ?= $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')
-DEB_NOEPOCH_VERSION ?= $(shell echo $(DEB_VERSION) | cut -d: -f2-)
-DEB_UPSTREAM_VERSION ?= $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')
+DEB_VERSION:=$(shell dpkg-parsechangelog -n1 | sed -n '/^Version: /s///p')
+DEB_NOEPOCH_VERSION:=$(shell DEB_VERSION=${DEB_VERSION}; echo $${DEB_VERSION\#*:})
+DEB_UPSTREAM_VERSION:=$(shell DEB_NOEPOCH_VERSION=${DEB_NOEPOCH_VERSION}; echo $${DEB_NOEPOCH_VERSION%+dfsg-*})
 
 override_dh_install:
 	dh_install
@@ -47,5 +47,22 @@
 	find debian/mediawiki -depth \( -name ".cvsignore" -o -name ".gitignore" -o -name ".arch-ids" \) -exec rm -rf {} \;
 	dh_installdeb
 
+# DevRef §6.7.8.2.
+.PHONY: get-orig-source
+get-orig-source:
+	mksh -o pipefail -e -x -c 'DEB_UPSTREAM_VERSION=${DEB_UPSTREAM_VERSION}; \
+		rm -rf debian/tmp; mkdir debian/tmp; cd debian/tmp; \
+		[[ -s ../../../mediawiki-${DEB_UPSTREAM_VERSION}.tar.gz ]] && \
+		    ln -s ../../../mediawiki-${DEB_UPSTREAM_VERSION}.tar.gz || \
+		    wget http://dumps.wikimedia.org/mediawiki/$${DEB_UPSTREAM_VERSION%.*}/mediawiki-${DEB_UPSTREAM_VERSION}.tar.gz; \
+		paxtar xzf mediawiki-${DEB_UPSTREAM_VERSION}.tar.gz; \
+		rm -f mediawiki-${DEB_UPSTREAM_VERSION}/skins/common/images/cc-*; \
+		mv mediawiki-${DEB_UPSTREAM_VERSION} mediawiki-${DEB_UPSTREAM_VERSION}.orig; \
+		find mediawiki-${DEB_UPSTREAM_VERSION}.orig -type f | \
+		    sort | paxcpio -oC512 -Hustar -Mdist | \
+		    xz -6e >../mediawiki_${DEB_UPSTREAM_VERSION}+dfsg.orig.tar.xz; \
+		cd ..; rm -rf tmp'
+	@ls -l debian/mediawiki_${DEB_UPSTREAM_VERSION}+dfsg.orig.tar.xz
+
 %:
 	dh $@
