=== debian/watch ===
version=3

opts="dversionmangle=s/^[0-9]+://;s/\+dfsg$//" \
http://dumps.wikimedia.org/mediawiki/1.19/ mediawiki-([0-9.]*).tar.gz
