## mediawiki 1.19.9+dfsg

=== debian/changelog ===
mediawiki (1:1.19.9+dfsg-2) unstable; urgency=medium

  * Ship files in /etc/mediawiki-extensions/extensions-available/
    for extensions shipped with the mediawiki core
  * Correct typo in changelog for 1:1.19.9+dfsg-1

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 31 Dec 2013 14:00:37 +0100

mediawiki (1:1.19.9+dfsg-1) unstable; urgency=medium

  [ Jonathan Wiltshire ]
  * Re-work debian/rule:get-orig-source:
    - use more conventional tools
    - improve legibility
    - safer use of temporary directories
  * Guard against missing mod_php5 in Apache configuration
    (Closes: #725162)

  [ Thorsten Glaser ]
  * Refresh patches against 1.19.9
  * Handle /var/lib/mediawiki/extensions/* always as symlinks, for
    both core and extra extensions, with upgrade path (Closes: #719208)
  * Address updated lintian tags
  * Update copyright file with things noted by Paul Tagliamonte, thanks!

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 31 Dec 2013 12:18:56 +0100

mediawiki (1:1.19.8+dfsg-2.2) unstable; urgency=high

  * Non-maintainer upload
  * Security fixes (Closes: #729629):
    - Kevin Israel (Wikipedia user PleaseStand) identified and reported two
      vectors for injecting Javascript in CSS that bypassed MediaWiki's
      blacklist [CVE-2013-4567, CVE-2013-4568]
    - Internal review while debugging a site issue discovered that MediaWiki
      and the CentralNotice extension were incorrectly setting cache headers
      when a user was autocreated, causing the user's session cookies to be
      cached, and returned to other users [CVE-2013-4572]
  * New Polish debconf translation, thanks to Magdalena Z. Kubot
    (Closes: #731381)

 -- David Prévot <taffit@debian.org>  Sun, 08 Dec 2013 16:13:40 -0400

mediawiki (1:1.19.8+dfsg-2.1) unstable; urgency=low

  * Provide includes/libs in mediawiki-classes (Closes: #703837)

 -- David Prévot <taffit@debian.org>  Wed, 23 Oct 2013 11:29:27 -0400

mediawiki (1:1.19.8+dfsg-2) unstable; urgency=low

  [ Thorsten Glaser ]
  * debian/rules: get-orig-source now leaves the repacked origtgz
    in ./ ipv in ./debian/ according to Policy §4.9 (noticed by
    Natureshadow)
  * Add version guards to apache.conf

  [ Jonathan Wiltshire ]
  * Update apache.conf for Apache 2.4 syntax changes, and document
    in debian/NEWS (Closes: #723620, #669832)

 -- Jonathan Wiltshire <jmw@debian.org>  Tue, 24 Sep 2013 19:04:42 +0100
