=== debian/rules ===
--- 
+++ 
@@ -42,14 +42,28 @@
 	# Put debian version for mediawiki version..
 	sed -e "s#$(DEB_UPSTREAM_VERSION)#$(DEB_NOEPOCH_VERSION)#" \
 			-i debian/mediawiki/usr/share/mediawiki/includes/DefaultSettings.php
+	# Move extensions
+	mkdir -p debian/mediawiki/usr/share/doc/mediawiki
+	mv debian/mediawiki/var/lib/mediawiki/extensions/README \
+	    debian/mediawiki/usr/share/doc/mediawiki/README.extensions
+	mv debian/mediawiki/var/lib/mediawiki/extensions \
+	    debian/mediawiki/usr/share/mediawiki/extensions-core
+	mkdir debian/mediawiki/var/lib/mediawiki/extensions
+	coreextensions=$$(cd debian/mediawiki/usr/share/mediawiki/extensions-core; \
+	    echo *); for coreextension in $$coreextensions; do \
+		dh_link usr/share/mediawiki/extensions-core/"$$coreextension" \
+		    var/lib/mediawiki/extensions/"$$coreextension"; \
+	done
+	# includes/libs is provided by mediawiki-classes
+	rm -rf debian/mediawiki/usr/share/mediawiki/includes/libs
 
 override_dh_installdeb:
 	find debian/mediawiki -depth \( -name ".cvsignore" -o -name ".gitignore" -o -name ".arch-ids" \) -exec rm -rf {} \;
 	dh_installdeb
 
 # DevRef §6.7.8.2.
-.PHONY: get-orig-source
-get-orig-source:
+.PHONY: get-orig-source-tg
+get-orig-source-tg:
 	mksh -o pipefail -e -x -c 'DEB_UPSTREAM_VERSION=${DEB_UPSTREAM_VERSION}; \
 		rm -rf debian/tmp; mkdir debian/tmp; cd debian/tmp; \
 		[[ -s ../../../mediawiki-${DEB_UPSTREAM_VERSION}.tar.gz ]] && \
@@ -60,9 +74,23 @@
 		mv mediawiki-${DEB_UPSTREAM_VERSION} mediawiki-${DEB_UPSTREAM_VERSION}.orig; \
 		find mediawiki-${DEB_UPSTREAM_VERSION}.orig -type f | \
 		    sort | paxcpio -oC512 -Hustar -Mdist | \
-		    xz -6e >../mediawiki_${DEB_UPSTREAM_VERSION}+dfsg.orig.tar.xz; \
+		    xz -6e >../../mediawiki_${DEB_UPSTREAM_VERSION}+dfsg.orig.tar.xz; \
 		cd ..; rm -rf tmp'
-	@ls -l debian/mediawiki_${DEB_UPSTREAM_VERSION}+dfsg.orig.tar.xz
+	@ls -l mediawiki_${DEB_UPSTREAM_VERSION}+dfsg.orig.tar.xz
+.PHONY: get-orig-source-jmw
+get-orig-source-jmw:
+	$(eval TMPDIR=$(shell mktemp -d))
+	$(eval MWTAR=mediawiki_${DEB_UPSTREAM_VERSION}.orig.tar.gz)
+	$(eval DFSGTAR=mediawiki_${DEB_UPSTREAM_VERSION}+dfsg.orig.tar.xz)
+	@uscan --rename --download-current-version --destdir=${TMPDIR} > /dev/null
+	@cd ${TMPDIR} && ( \
+		tar zxf ${MWTAR}; \
+		rm -f mediawiki-${DEB_UPSTREAM_VERSION}/skins/common/images/cc-*; \
+        mv mediawiki-${DEB_UPSTREAM_VERSION} mediawiki-${DEB_UPSTREAM_VERSION}.orig; \
+		tar Jcf ${DFSGTAR} mediawiki-${DEB_UPSTREAM_VERSION}.orig; \
+	)
+	@mv ${TMPDIR}/${DFSGTAR} ../
+	@rm -r ${TMPDIR}
 
 %:
 	dh $@
