=== debian/control ===
--- 
+++ 
@@ -26,6 +26,7 @@
  mediawiki-extensions (<< 2.8~)
 Conflicts: mediawiki-extensions-base (<< 3.5~),
  mediawiki-extensions-confirmedit
+Replaces: mediawiki-extensions-confirmedit
 Description: website engine for collaborative work
  MediaWiki is a wiki engine (a program for creating a collaboratively
  edited website). It is designed to handle heavy websites containing
