=== debian/rules ===
--- 
+++ 
@@ -31,14 +31,6 @@
 	done
 	# Remove Makefiles
 	find debian/mediawiki/ -iname makefile -exec rm {} \;
-	# License added to copyright file:
-	rm -f debian/mediawiki/usr/share/mediawiki/skins/common/images/icons/COPYING
-	rm -f debian/mediawiki/usr/share/mediawiki/skins/common/images/cyrl/LICENSE
-	rm -f debian/mediawiki/usr/share/mediawiki/skins/common/images/ksh/LICENSE
-	rm -f debian/mediawiki/usr/share/mediawiki/maintenance/cssjanus/COPYING
-	rm -f debian/mediawiki/usr/share/mediawiki/maintenance/cssjanus/LICENSE
-	rm -f debian/mediawiki/var/lib/mediawiki/extensions/ParserFunctions/COPYING
-	rm -f debian/mediawiki/var/lib/mediawiki/extensions/Nuke/COPYING
 	# Put debian version for mediawiki version..
 	sed -e "s#$(DEB_UPSTREAM_VERSION)#$(DEB_NOEPOCH_VERSION)#" \
 			-i debian/mediawiki/usr/share/mediawiki/includes/DefaultSettings.php
@@ -56,6 +48,19 @@
 	done
 	# includes/libs is provided by mediawiki-classes
 	rm -rf debian/mediawiki/usr/share/mediawiki/includes/libs
+	# licences added to debian/copyright file
+	rm -f debian/mediawiki/usr/share/mediawiki/extensions-core/Gadgets/COPYING
+	rm -f debian/mediawiki/usr/share/mediawiki/extensions-core/Nuke/COPYING
+	rm -f debian/mediawiki/usr/share/mediawiki/extensions-core/ParserFunctions/COPYING
+	rm -f debian/mediawiki/usr/share/mediawiki/extensions-core/Renameuser/COPYING
+	rm -f debian/mediawiki/usr/share/mediawiki/extensions-core/WikiEditor/COPYING
+	rm -f debian/mediawiki/usr/share/mediawiki/maintenance/cssjanus/COPYING
+	rm -f debian/mediawiki/usr/share/mediawiki/maintenance/cssjanus/LICENSE
+	rm -f debian/mediawiki/usr/share/mediawiki/skins/common/images/cyrl/LICENSE
+	rm -f debian/mediawiki/usr/share/mediawiki/skins/common/images/icons/COPYING
+	rm -f debian/mediawiki/usr/share/mediawiki/skins/common/images/ksh/LICENSE
+	# fixup permissions
+	chmod a-x debian/mediawiki/usr/share/mediawiki/extensions-core/Nuke/Nuke*.php
 
 override_dh_installdeb:
 	find debian/mediawiki -depth \( -name ".cvsignore" -o -name ".gitignore" -o -name ".arch-ids" \) -exec rm -rf {} \;
@@ -64,12 +69,11 @@
 # DevRef §6.7.8.2.
 .PHONY: get-orig-source-tg
 get-orig-source-tg:
+	# rely on “uscan --verbose” to download, including pgp signature check
+	test -s ../mediawiki-${DEB_UPSTREAM_VERSION}.tar.gz
 	mksh -o pipefail -e -x -c 'DEB_UPSTREAM_VERSION=${DEB_UPSTREAM_VERSION}; \
 		rm -rf debian/tmp; mkdir debian/tmp; cd debian/tmp; \
-		[[ -s ../../../mediawiki-${DEB_UPSTREAM_VERSION}.tar.gz ]] && \
-		    ln -s ../../../mediawiki-${DEB_UPSTREAM_VERSION}.tar.gz || \
-		    wget http://dumps.wikimedia.org/mediawiki/$${DEB_UPSTREAM_VERSION%.*}/mediawiki-${DEB_UPSTREAM_VERSION}.tar.gz; \
-		paxtar xzf mediawiki-${DEB_UPSTREAM_VERSION}.tar.gz; \
+		paxtar xzf ../../../mediawiki-${DEB_UPSTREAM_VERSION}.tar.gz; \
 		rm -f mediawiki-${DEB_UPSTREAM_VERSION}/skins/common/images/cc-*; \
 		mv mediawiki-${DEB_UPSTREAM_VERSION} mediawiki-${DEB_UPSTREAM_VERSION}.orig; \
 		find mediawiki-${DEB_UPSTREAM_VERSION}.orig -type f | \
