## mediawiki 1.19.18+dfsg

=== debian/changelog ===
mediawiki (1:1.19.18+dfsg-0.1) unstable; urgency=high

  * Non-maintainer upload with maintainers approval.
  * Imported Upstream version 1.19.18+dfsg
    (Closes: #758510)
    - CVE-2014-5241 (bug 68187) SECURITY: Prepend jsonp callback with comment.
    - CVE-2014-5243 (bug 65778) SECURITY: Copy prevent-clickjacking between
      OutputPage and ParserOutput.

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 24 Aug 2014 06:47:35 +0200

mediawiki (1:1.19.17+dfsg-1) unstable; urgency=medium

  * New upstream security and maintenance release:
    - (bug 65839) SECURITY: Prevent external resources in SVG files.
    - (bug 66428) MimeMagic: Don't seek before BOF. This has weird
      side effects like only extracting the tail of the file partially
      or not at all.
  * Update lintian overrides

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 26 Jun 2014 09:57:03 +0200

mediawiki (1:1.19.16+dfsg-1) unstable; urgency=medium

  * New upstream security and maintenance release:
    - CVE-2014-3966 (bug 65501) SECURITY: Don't parse usernames as
      wikitext on Special:PasswordReset.
  * Update debian/upstream/signing-key.asc

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 11 Jun 2014 16:35:39 +0200

mediawiki (1:1.19.15+dfsg-2) unstable; urgency=high

  * Depend on recent enough php5-common version to be able to use
    php5{en,dis}mod in maintainer scripts (Closes: #743893)
  * Urgency high because this rides on the previous security fix

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 08 Apr 2014 09:46:46 +0200

mediawiki (1:1.19.15+dfsg-1) unstable; urgency=medium

  * New upstream security and maintenance release:
    - Fixed resetting passwords
    - (bug 58640) Fixed compatibility issue with PCRE 8.34 that
      caused pages to appear blank or with missing text

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 03 Apr 2014 10:11:51 +0200
