=== debian/rules ===
--- 
+++ 
@@ -69,7 +69,9 @@
 # DevRef §6.7.8.2.
 .PHONY: get-orig-source-tg
 get-orig-source-tg:
-	# rely on “uscan --verbose” to download, including pgp signature check
+	# rely on uscan to download, including pgp signature check
+	# run “dch -i” and increase to new upstream version before calling this!
+	uscan --force-download --verbose
 	test -s ../mediawiki-${DEB_UPSTREAM_VERSION}.tar.gz
 	mksh -o pipefail -e -x -c 'DEB_UPSTREAM_VERSION=${DEB_UPSTREAM_VERSION}; \
 		rm -rf debian/tmp; mkdir debian/tmp; cd debian/tmp; \
